> ## Documentation Index
> Fetch the complete documentation index at: https://docs.request.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a payment intent

> Send a payment intent



## OpenAPI

````yaml /api-reference/openapi.v2.json post /v2/request/payment-intents/{paymentIntentId}
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/request/payment-intents/{paymentIntentId}:
    post:
      tags:
        - Request
        - V2/Request
      summary: Send a payment intent
      description: Send a payment intent
      operationId: RequestControllerV2_sendPaymentIntent_v2
      parameters:
        - name: paymentIntentId
          required: true
          in: path
          description: The payment intent ID
          schema:
            example: 01JNZYZPK7B4YBPD44TM72NDNJ
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication (optional if using Client ID)
          required: false
          schema:
            type: string
        - name: x-client-id
          in: header
          description: Client ID for frontend authentication (optional if using API key)
          required: false
          schema:
            type: string
        - name: Origin
          in: header
          description: >-
            Origin header (required for Client ID auth, automatically set by
            browser)
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                signedPaymentIntent:
                  type: object
                  properties:
                    signature:
                      type: string
                      description: The signature of the permit2 approval for token transfer
                    nonce:
                      type: string
                      description: The unique nonce for this permit2 transaction
                    deadline:
                      type: string
                      description: The Unix timestamp when this permit2 approval expires
                  required:
                    - signature
                    - nonce
                    - deadline
                  description: The signed payment intent data.
                signedApprovalPermit:
                  type: object
                  properties:
                    signature:
                      type: string
                      description: The signature for the EIP2612 gasless token approval
                    nonce:
                      type: string
                      description: The unique nonce for the EIP2612 permit
                    deadline:
                      type: string
                      description: The Unix timestamp when this EIP2612 permit expires
                  required:
                    - signature
                    - nonce
                    - deadline
                  description: >-
                    The EIP2612 gasless token approval data that allows Permit2
                    to access user tokens
              required:
                - signedPaymentIntent
      responses:
        '200':
          description: Payment intent sent successfully
        '404':
          description: Payment intent data not found
        '429':
          description: Too Many Requests

````